# eric6.Plugins.PluginVirtualenvInterface

Module implementing the virtualenv interface plug-in.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
needsRestart
packageName
pyqtApi
python2Compatible
shortDescription
version

### Classes

VirtualenvInterfacePlugin | Class implementing the virtualenv wizard plug-in.

### Functions

None

## VirtualenvInterfacePlugin

Class implementing the virtualenv wizard plug-in.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

VirtualenvInterfacePlugin | Constructor
__handle | Private method to handle the creation of a virtual environment.
__initAction | Private method to initialize the action.
activate | Public method to activate this plug-in.
deactivate | Public method to deactivate this plug-in.

### Static Methods

None

#### VirtualenvInterfacePlugin (Constructor)

VirtualenvInterfacePlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VirtualenvInterfacePlugin.__handle

__handle()

Private method to handle the creation of a virtual environment.

#### VirtualenvInterfacePlugin.__initAction

__initAction()

Private method to initialize the action.

#### VirtualenvInterfacePlugin.activate

activate()

Public method to activate this plug-in.

Returns:
  tuple of None and activation status (boolean)

#### VirtualenvInterfacePlugin.deactivate

deactivate()

Public method to deactivate this plug-in.

Up